Is the TomTom Navigation app compatible with my iPhone/iPad?

Updated: 31/07/2014 12.35 AM

For iOS 6 you need version 1.12 or higher of the TomTom Navigation app.

The TomTom Navigation app is compatible with the following GPS enabled devices

  • iPhone 5s
  • iPhone 5c
  • iPhone 5
  • iPhone 4S
  • iPhone 4
  • iPhone 3GS
  • iPad Air Wifi + 3G 
  • iPad 4 Wifi + 4G
  • iPad mini Wifi + 3G
  • iPad 3 Wifi + 3G
  • iPad 2 Wifi + 3G
  • iPad Original Wifi + 3G

The Navigation app also works on the following devices that have NO internal GPS. These devices require an external GPS accessory in order to be used for navigation.

  • iPad Air Wifi
  • iPad 4 Wifi 
  • iPad mini Wifi
  • iPad 3 Wifi
  • iPad 2 Wifi
  • iPad Original Wifi
  • iPod touch 4th Generation
  • iPod touch 3rd Generation

Note: The following older iOS devices are no longer compatible with the latest version of TomTom Navigation app:

  • iPhone original (2G) and iPod 1st Generation. The last compatible app version is v1.7.
  • iPhone 3G, iPod touch 2nd generation, and other devices using iOS4. The last compatible app version is v1.14.
  • iPhone 3GS, iPod touch 4th generation, and other devices using iOS5. The last compatible app version is v1.18.

Do not delete the compatible app version from your older device. You can continue to use the app.

Was this answer helpful?
Please tell us how we can make this answer more useful.
 
Print